aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorIlan Peer <ilan.peer@intel.com>2014-10-26 07:06:30 (GMT)
committerJouni Malinen <j@w1.fi>2014-10-26 17:21:04 (GMT)
commit6492a9cada42b03c998b02c09434fa9c280646de (patch)
tree471d821c81a467f06f9bad5300b2bba2311e70ff /tests
parent2593aadb3b117c768e4f247a72aa7f5b5d7f9966 (diff)
downloadhostap-6492a9cada42b03c998b02c09434fa9c280646de.zip
hostap-6492a9cada42b03c998b02c09434fa9c280646de.tar.gz
hostap-6492a9cada42b03c998b02c09434fa9c280646de.tar.bz2
tests: Add usage() to build.sh
Signed-off-by: Ilan Peer <ilan.peer@intel.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/hwsim/build.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/hwsim/build.sh b/tests/hwsim/build.sh
index bacbf75..89a0312 100755
--- a/tests/hwsim/build.sh
+++ b/tests/hwsim/build.sh
@@ -4,6 +4,12 @@ set -e
cd $(dirname $0)
+usage()
+{
+ echo "$0 [-c | --codecov] [-f | --force-config]"
+ exit 1
+}
+
use_lcov=0
force_config=0
while [ "$1" != "" ]; do
@@ -16,7 +22,7 @@ while [ "$1" != "" ]; do
force_config=1
echo "$0: force copy config specified"
;;
- * ) exit 1
+ * ) usage
esac
done